/* BdfServer_API - Copyright (c) 2006-2018 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.api.ui;

import net.mapeadores.util.html.TrustedHtml;
import net.mapeadores.util.localisation.Lang;
import net.mapeadores.util.localisation.Langs;


/**
 *
 * @author Vincent Calame
 */
public interface CommentUi extends UiComponent {

    public final static int FORM_BITVALUE = 1;
    public final static int TEMPLATE_BITVALUE = 2;
    public final static int ALL_MASK = 3;

    public int getLocation();

    public String getCommentName();

    public Langs getLangs();

    public TrustedHtml getHtmlByLang(Lang lang);

    public static String toComponentName(String commentName) {
        return "comment_" + commentName;
    }

}
