/* FichothequeLib_Xml - Copyright (c) 2022 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.fichotheque.xml.extraction;

import net.fichotheque.extraction.ExtractionContext;


/**
 *
 * @author Vincent Calame
 */
public class ExtractParameters {

    private final ExtractionContext extractionContext;
    private final int extractVersion;
    private final boolean withEmpty;

    public ExtractParameters(ExtractionContext extractionContext, int extractVersion, boolean withEmpty) {
        this.extractionContext = extractionContext;
        this.extractVersion = extractVersion;
        this.withEmpty = withEmpty;
    }

    public ExtractionContext getExtractionContext() {
        return extractionContext;
    }

    public int getExtractVersion() {
        return extractVersion;
    }

    public boolean isWithEmpty() {
        return withEmpty;
    }

    public ExtractParameters derive(ExtractionContext extractionContext) {
        return new ExtractParameters(extractionContext, extractVersion, withEmpty);
    }

}
